Page MenuHomePhabricator

Change a link for Privacy policy for Russian Wikiprojects
Closed, ResolvedPublic

Description

Is it possible to change the link in MediaWiki:Privacypage/ru from wmf:Privacy policy to m:Privacy policy/ru?

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaMessages : masterServe meta. Russian translation for the privacy policy

Event Timeline

Iniquity created this task.Nov 4 2016, 11:06 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 4 2016, 11:06 PM
Iniquity updated the task description. (Show Details)Nov 4 2016, 11:06 PM
Dereckson added a subscriber: Dereckson.

Yes, it's possible, and done on some wikis like fr.wikipedia, but please get a consensus on the different Russian projects to support this request (leave a small message on the village pump of each ru.* for example).

The setting is per language, not per project, so it will be also served when another site like de.wikipedia or Commons is browsed in Russian.

Change 319970 had a related patch set uploaded (by Dereckson):
Serve meta. Russian translation for the privacy policy

https://gerrit.wikimedia.org/r/319970

Dereckson added a project: WikimediaMessages.
Dereckson moved this task from Backlog to Working on on the WikimediaMessages board.

Thanks for the update.

Dereckson added a comment.EditedNov 29 2016, 8:49 AM

So, if I've well understand the ru. last comments, there is a preference to upload a stabilized Russian translation to the WMF site?

The policy provides the following statement:

Please note that in the event of any differences in meaning or interpretation between the original English version of this Privacy Policy and a translation, the original English version takes precedence.

And as an header of the translation:

Это перевод. Официально утверждённую версию этого документа можно увидеть по ссылке на англоязычный оригинал.

So, the official and binding version is the English one, any translation, wherever published, on meta or Foundation, won't be official.

@Dereckson, yep, I know it. But I think that people care about vandals` edits which can be shown to a lot of users.

Dereckson added a comment.EditedDec 3 2016, 2:15 PM

So I'd suggest to deploy it and to ask ru.wikipedia community to locally override the MediaWiki message, to watch how the page evolve in the future and when they feel it's not a vandalism target to remove the overwrite.

@Dereckson I think we can try to change it. Local thread.

No opposition for one month recorded, and a consensus on the different Russian projects, so we can live the change. I've removed the CR -1. If quickly merged, it will reached ru. projects this week (Wednesday most, Thursday Wikipedia).

@Dereckson may you help with this task, again? :)

It's by language, not by project.

@Liuxinyu970226, I dont think they will be against.

@Dereckson any progress with it?

https://gerrit.wikimedia.org/r/319970 is still pending merge

@Raymond you could merge that perhaps? ^

Change 319970 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Serve meta. Russian translation for the privacy policy

https://gerrit.wikimedia.org/r/319970

Dereckson closed this task as Resolved.May 20 2017, 10:25 AM